D4Science Infrastructure - Incident #6128

UsersManagement portlet: VRE Groups (Teams) members disappear mysteriously
Dec 05, 2016 11:07 AM - Massimiliano Assante

Status: Closed Start date: Dec 05, 2016
Priority: Urgent Due date: Dec 06, 2016
Assignee: Panagiota Koltsida % Done: 100%
Category: Other Estimated time: 0.00 hour
Target version: D4Science Infrastructure Upgrade to

gCube 4.2.0
Infrastructure: Pre-Production, Production
Description

We noticed that members have disappeared from VRE Groups. We think when a user is assigned to a VRE Group he loses the other
VRE Groups memberships in the other VREs. We reproduced the problem in preproduction (pre.d4science.org)

Steps to reproduce the issue and a video showing the issue in preprod http://www.screencast.com/t/Z2XU8eK8uhf :

1. Assante has no groups in preVRE and Dorne

2. Assign CNR Group to Assante in Dorne

3. Assign CNR Group to Assante in preVRE

4. Go back to Dorne

5. in Dorne Assante has no groups, but in 2. we added him to CNR

History

#1 - Dec 05, 2016 11:14 AM - Massimiliano Assante

- Description updated

#2 - Dec 05, 2016 12:00 PM - Panagiota Koltsida

- Status changed from New to In Progress

We are investigating this issue

#3 - Dec 05, 2016 12:54 PM - Panagiota Koltsida
- % Done changed from 0 to 40

In order to fix this issue the users management library should be extended to support liferay's API: addUserTeam, because now the only available
method is: Irm.setUserTeams(gcu.getUserld(), gCubeTeamIDs)

which seems to cause the problems in the way we are using it since it is the only available method.

Because at every time we are working per VRE the set seems to override the groups from the other VRE

@massimiliano.assante@isti.cnr.it could you please add this method?

#4 - Dec 05, 2016 01:02 PM - Massimiliano Assante

Giota, isn't the method below (already there) working for you?

in: org.gcube.vomanagement.usermanagement .RoleManager

boolean assignTeamToUser (long userId, long teamId) throws UserManagementSystemException, UserRetrievalFault, G
roupRetrievalFault, TeamRetrievalFault;

#5 - Dec 05, 2016 01:38 PM - Panagiota Koltsida

@massimiliano.assante@isti.cnr.it this method is fine, but | would also suggest to internally use the method | mentioned before for adding new team
to the existing ones, instead of getting everything, adding the new one and setting everything again.

#6 - Dec 05, 2016 02:32 PM - Massimiliano Assante

in the past we tested the method assignTeamToUser and works fine, I'm not sure why @costantino.perciante@isti.cnr.it implemented it in this way
instead of using the one you suggest (addUserTeam).
We are going to keep this implementation in gCube 4.2 and will evaluate the change to addUserTeam in the next release.

#8 - Dec 05, 2016 04:56 PM - Panagiota Koltsida
- Status changed from In Progress to Closed

- % Done changed from 40 to 100

The bug has been fixed and it is available in the release 4.2
